Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QFile.FileError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QFile.FileError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFile

    public static final class QFile.FileError

extends java.lang.Enum
implements QtEnumerator

This enum describes the errors that may be returned by the `error()` function.

See Also:
  Serialized Form

Field Summary
`static QFile.FileError` | `AbortError` The operation was aborted.
`static QFile.FileError` | `CopyError` The file could not be copied.
`static QFile.FileError` | `FatalError` A fatal error occurred.
`static QFile.FileError` | `NoError` No error occurred.
`static QFile.FileError` | `OpenError` The file could not be opened.
`static QFile.FileError` | `PermissionsError` The file could not be accessed.
`static QFile.FileError` | `PositionError` The position in the file could not be changed.
`static QFile.FileError` | `ReadError` An error occurred when reading from the file.
`static QFile.FileError` | `RemoveError` The file could not be removed.
`static QFile.FileError` | `RenameError` The file could not be renamed.
`static QFile.FileError` | `ResizeError` The file could not be resized.
`static QFile.FileError` | `ResourceError`
`static QFile.FileError` | `TimeOutError` A timeout occurred.
`static QFile.FileError` | `UnspecifiedError` An unspecified error occurred.
`static QFile.FileError` | `WriteError` An error occurred when writing to the file.

Method Summary
`static QFile.FileError` | `resolve(int value)` Returns the QFile$FileError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFile.FileError` | `valueOf(java.lang.String name)`
`static QFile.FileError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QFile.FileError NoError

  No error occurred.

### ReadError

    public static final QFile.FileError ReadError

  An error occurred when reading from the file.

### WriteError

    public static final QFile.FileError WriteError

  An error occurred when writing to the file.

### FatalError

    public static final QFile.FileError FatalError

  A fatal error occurred.

### ResourceError

    public static final QFile.FileError ResourceError

### OpenError

    public static final QFile.FileError OpenError

  The file could not be opened.

### AbortError

    public static final QFile.FileError AbortError

  The operation was aborted.

### TimeOutError

    public static final QFile.FileError TimeOutError

  A timeout occurred.

### UnspecifiedError

    public static final QFile.FileError UnspecifiedError

  An unspecified error occurred.

### RemoveError

    public static final QFile.FileError RemoveError

  The file could not be removed.

### RenameError

    public static final QFile.FileError RenameError

  The file could not be renamed.

### PositionError

    public static final QFile.FileError PositionError

  The position in the file could not be changed.

### ResizeError

    public static final QFile.FileError ResizeError

  The file could not be resized.

### PermissionsError

    public static final QFile.FileError PermissionsError

  The file could not be accessed.

### CopyError

    public static final QFile.FileError CopyError

  The file could not be copied.

Method Detail

### values

    public static QFile.FileError[] values()

### valueOf

    public static QFile.FileError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFile.FileError resolve(int value)

  Returns the QFile$FileError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD